import { ElementRef, Injector, OnInit } from '@angular/core';
import { ImgCropperService } from './img-cropper.service';
export declare class ImgCropperComponent implements OnInit {
    private imgCropperService;
    private injector;
    private cropParams;
    isShow: boolean;
    mydiv: ElementRef;
    drawCanvas: ElementRef;
    selFile: ElementRef;
    tbox: ElementRef;
    private croppedImg;
    private targetWidth;
    private targetHeight;
    private winWidth;
    private winHeight;
    private sourceImgWidth;
    private sourceImgHeight;
    tboxWidth: number;
    tboxHeight: number;
    tboxLeft: number;
    tboxTop: number;
    croppedImgWidth: number;
    croppedImgHeight: number;
    croppedImgTop: number;
    croppedImgLeft: number;
    croppedImgCurrWidth: number;
    croppedImgCurrHeight: number;
    croppedImgCurrLeft: number;
    croppedImgCurrTop: number;
    constructor(imgCropperService: ImgCropperService, injector: Injector);
    ngOnInit(): void;
    resetTbox(): void;
    resetCroppedImg(): void;
    selectFile(event: any): void;
    use(): void;
    close(): void;
}
