import { ImgCropConfig } from './img-crop-config';
export declare class ImgCropperService {
    private imgCropConfigObserver;
    private imgCropConfig;
    private resultResolve;
    private resultReject;
    constructor();
    /**
     * 订阅截图配置项
     * @param fun
     */
    subscriptConfig(fun: (config: ImgCropConfig) => void): void;
    /**
     * 发送截图的data uri
     * @param data
     */
    sendImgData(data: string): void;
    /**
     * 取消截图
     */
    cancel(): void;
    /**
     * 获取截图
     * @param config 配置
     */
    getCropImgData(config?: ImgCropConfig): Promise<string>;
}
